Debian DSA-3009-1 : python-imaging - security update

medium Nessus Plugin ID 77343

Synopsis

The remote Debian host is missing a security-related update.

Description

Andrew Drake discovered that missing input sanitising in the icns decoder of the Python Imaging Library could result in denial of service if a malformed image is processed.

Solution

Upgrade the python-imaging packages.

For the stable distribution (wheezy), this problem has been fixed in version 1.1.7-4+deb7u1.

See Also

https://packages.debian.org/source/wheezy/python-imaging

https://www.debian.org/security/2014/dsa-3009

Plugin Details

Severity: Medium

ID: 77343

File Name: debian_DSA-3009.nasl

Version: 1.8

Type: local

Agent: unix

Published: 8/23/2014

Updated: 1/11/2021

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:python-imaging, cpe:/o:debian:debian_linux:7.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 8/21/2014

Reference Information

CVE: CVE-2014-3589

DSA: 3009